Bug 195939 - emulators/pipelight youtube (h.264) flash crash
Summary: emulators/pipelight youtube (h.264) flash crash
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-13 07:40 UTC by f0andrey
Modified: 2017-03-04 14:56 UTC (History)
9 users (show)

See Also:
bugzilla: maintainer-feedback? (kmoore)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description f0andrey 2014-12-13 07:40:27 UTC
# uname -a
FreeBSD x220.efi.local 11.0-CURRENT FreeBSD 11.0-CURRENT #0 r275317: Sun Nov 30 15:46:59 MSK 2014     andrey@des.local:/usr/obj/usr/src/sys/X220  amd64

# pkg info | grep pipel
pipelight-0.2.7.3_5            Wrapper for using windows plugins in web browsers

# pkg info | grep wine
i386-wine-compholio-1.7.32,1   32bit Wine built with the compholio patchset for 64bit FreeBSD
wine-gecko-devel-2.34          Gecko Layout Engine for Wine development branch (HTML support)

pipelight-plugin --update and --enable flash work fine.

Unfortunately if open any https://www.youtube.com video, flash crushed.
http://www.adobe.com/software/flash/about/ flash crushed.

http://support.akamai.com/flash/index.html?url work fine if select audio or video vp6, random_seek, if select video any H.264 player crushed

core file after plugin crush http://bsdnir.info/files/wine.core.txz
Comment 1 Bugzilla Automation freebsd_committer 2014-12-13 07:40:27 UTC
Auto-assigned to maintainer kmoore@FreeBSD.org
Comment 2 Henry Hu 2014-12-27 01:00:53 UTC
I have a similar problem:
pipelight-flash works for simple flash sites and audios, but crashes for video sites. In dmesg, you see "pid xxxx (wine), uid xxx: exited on signal 10"

This method fixes the issue for me, you may have a try:

Set CFLAGS=-O0 -mstackrealign in make.conf, and rebuild 32 bit libthr.so.
You may do it in this way:

cd /usr/src
make build32
echo "CFLAGS+=-mstackrealign -O0" >> /etc/make.conf
make build32
make install32
(or just install libthr.so manually

The core file points me to a movsd instruction in libthr.so. I'm not sure if movsd has alignment requirements, but -mstackrealign does not fix it. With -O0, movsd is not generated, and youtube works....
Comment 3 Henry Hu 2014-12-27 01:11:13 UTC
-O0 is an overkill; just -mno-sse2 is enough. It seems like that movsd is causing the problem, and -mno-sse2 disables it.
-mstackrealign -mstack-alignment=16 does not help. Now I'm not sure if it's an alignment problem or not.
Comment 4 f0andrey 2014-12-27 11:58:51 UTC
Unfortunately, did not work properly working assemble flash plugin :(

If build32 and install32 CFLAGS+=-mno-sse2
obtained plugin make error in the add-ons tab - not work

If build32 and install32 CFLAGS+=-mstackrealign -O0
plugin correctly install, youtube not work (crashes exited on signal 10), akamai not crashes but not work
Comment 5 claudius 2015-03-12 02:49:11 UTC
Hi there,
I have this issue as well. 

I using FreeBSD 11.0-CURRENT FreeBSD 11.0-CURRENT #0 r279881

I tried the following steps and it also didn't work.

cd /usr/src
make build32
echo "CFLAGS+=-mstackrealign -O0" >> /etc/make.conf
make build32
make install32

anyone have an alternate solution ? Just wondering... 


thanks
chan
Comment 6 Kurt Jaeger freebsd_committer 2015-05-06 19:54:39 UTC
Please, can you test if the update from

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197828

fixes the issue and please report back ? Thanks
Comment 7 claudius 2015-05-07 07:50:22 UTC
Hi,
I try to update the port and compile pipelight under poudriere, but i get the following message:

[00:00:03] ====>> Ignored ports: emulators/i386-wine-compholio
[11Cx64-default] [2015-05-07_15h21m09s] [committing:] Queued: 1  Built: 0  Failed: 0  Skipped: 0  Ignored: 1  Tobuild: 0   Time: 00:00:02
[00:00:03] ====>> Logs: /usr/local/poudriere/data/logs/bulk/11Cx64-default/2015-05-07_15h21m09s
Comment 8 Andrey Fesenko 2015-05-07 19:01:21 UTC
(In reply to Kurt Jaeger from comment #6)
# pkg info | grep pipel
pipelight-0.2.8.1              Wrapper for using windows plugins in web browsers
# pkg info | grep wine
i386-wine-compholio-1.7.41,1   32bit Wine built with the compholio patchset for 64bit FreeBSD
wine-gecko-devel-2.36          Gecko Layout Engine for Wine development branch (HTML support)

crush not fixed
Comment 9 Oleg 2015-06-22 07:59:38 UTC
I did the following steps in order to prevent flash from crashing on my system:

1. rm -rf /usr/obj
2. make toolchain
3. echo "CFLAGS=-mstackrealign" > /etc/make.conf
4. make build32
5. make install32

...And Flash started working! So, I have to thank Henry for his useful suggestion.
Comment 10 Andrey Fesenko 2015-06-22 10:30:41 UTC
(In reply to Oleg from comment #9)
uname -a please
Comment 11 Oleg 2015-06-22 14:37:18 UTC
FreeBSD 10.2-PRERELEASE #0 r284690
Comment 12 Oleg 2015-06-22 14:41:43 UTC
Well, if you actually need to see the whole thing, then it's
FreeBSD my.tv.computer 10.2-PRERELEASE FreeBSD 10.2-PRERELEASE #0 r284690: Sun Jun 21 22:42:41 EDT 2015     mythtv@my.tv.computer:/usr/obj/usr/src/sys/GENERIC  amd64
Comment 13 amvandemore 2015-08-03 04:15:33 UTC
Henry/Oleg workaround fixed my flash crashes as well.  Now plays Amazon DRM instant video.  

FWIW, with the newest pipelight and dependencies silverlight doesn't work at all.

FreeBSD m6600.galacticdominator.com 10.2-PRERELEASE FreeBSD 10.2-PRERELEASE #5 r286157: Sat Aug  1 10:22:41 CDT 2015     adam@m6600.galacticdominator.com:/usr/obj/usr/src/sys/M6600  amd64